Subject: Re: [patch 12/13] pcnet32 79C975 fiber fix

From: Jeff Garzik <[email-masked]>
Date: Tue, 22 Mar 2005 14:14:09 -0500

Andrew Morton wrote:
> Don Fry <[email-masked]> wrote:
> 
>>I had not seen this problem until now.  The patch looks ok and
>> probably should have been written that way initially.  I have been
>> able to do a quick touch test with a 970A, 971, 972, 973, 975, 976, and
>> 978 (some on ia32 and others on ppc64) without any adverse effects.
>> The 975 I have is copper not fiber.
> 
> 
> Great, thanks.
> 
> 
>> Since only bit 12 is needed to enable LED writes, the code could
>> really be "a->write_bcr(ioaddr, 2, a->read_bcr(ioaddr, 2) | 0x1000);"
>> During pcnet32_open the ASEL bit is changed anyway.
> 
> 
> OK, could you please prepare a final patch sometime and get it into Jeff? 
> cc me as well please so I can update the patch I have.

Yes, please do Don, if you have the time.

	Jeff